summaryrefslogtreecommitdiffstats
path: root/boot
diff options
context:
space:
mode:
authorMarco Platania <platania@research.att.com>2017-05-30 16:22:10 -0400
committerMarco Platania <platania@research.att.com>2017-05-30 16:22:10 -0400
commitb54c8f4229ce102767c3dd676addf3d8d8e39161 (patch)
tree3ccfd1fc5f3d6c15788224af09df7aee0310f5b8 /boot
parentb29bcee4fe37639d957e92ecd91317371f263d43 (diff)
Add A&AI-VM2 config
Change-Id: I888f584a4c2a8b1cc3fc91a0ce884b17d165be19 Signed-off-by: Marco Platania <platania@research.att.com>
Diffstat (limited to 'boot')
-rw-r--r--boot/aai2_install.sh105
-rw-r--r--boot/aai2_serv.sh98
-rw-r--r--boot/aai2_vm_init.sh16
-rw-r--r--boot/db_simpledemo_openecomp_org9
4 files changed, 227 insertions, 1 deletions
diff --git a/boot/aai2_install.sh b/boot/aai2_install.sh
new file mode 100644
index 00000000..631b8e3a
--- /dev/null
+++ b/boot/aai2_install.sh
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Read configuration files
+NEXUS_REPO=$(cat /opt/config/nexus_repo.txt)
+ARTIFACTS_VERSION=$(cat /opt/config/artifacts_version.txt)
+DNS_IP_ADDR=$(cat /opt/config/dns_ip_addr.txt)
+CLOUD_ENV=$(cat /opt/config/cloud_env.txt)
+GERRIT_BRANCH=$(cat /opt/config/gerrit_branch.txt)
+AAI_INSTANCE=$(cat /opt/config/aai_instance.txt)
+MTU=$(/sbin/ifconfig | grep MTU | sed 's/.*MTU://' | sed 's/ .*//' | sort -n | head -1)
+
+# Add host name to /etc/host to avoid warnings in openstack images
+if [[ $CLOUD_ENV != "rackspace" ]]
+then
+ echo 127.0.0.1 $(hostname) >> /etc/hosts
+
+ # Allow remote login as root
+ mv /root/.ssh/authorized_keys /root/.ssh/authorized_keys.bk
+ cp /home/ubuntu/.ssh/authorized_keys /root/.ssh
+fi
+
+# Set private IP in /etc/network/interfaces manually in the presence of public interface
+# Some VM images don't add the private interface automatically, we have to do it during the component installation
+if [[ $CLOUD_ENV == "openstack_nofloat" ]]
+then
+ LOCAL_IP=$(cat /opt/config/local_ip_addr.txt)
+ CIDR=$(cat /opt/config/oam_network_cidr.txt)
+ BITMASK=$(echo $CIDR | cut -d"/" -f2)
+
+ # Compute the netmask based on the network cidr
+ if [[ $BITMASK == "8" ]]
+ then
+ NETMASK=255.0.0.0
+ elif [[ $BITMASK == "16" ]]
+ then
+ NETMASK=255.255.0.0
+ elif [[ $BITMASK == "24" ]]
+ then
+ NETMASK=255.255.255.0
+ fi
+
+ echo "auto eth1" >> /etc/network/interfaces
+ echo "iface eth1 inet static" >> /etc/network/interfaces
+ echo " address $LOCAL_IP" >> /etc/network/interfaces
+ echo " netmask $NETMASK" >> /etc/network/interfaces
+ echo " mtu $MTU" >> /etc/network/interfaces
+ ifup eth1
+fi
+
+# Download dependencies
+add-apt-repository -y ppa:openjdk-r/ppa
+apt-get update
+apt-get install -y apt-transport-https ca-certificates wget openjdk-8-jdk git ntp ntpdate
+
+# Download scripts from Nexus
+curl -k $NEXUS_REPO/org.openecomp.demo/boot/$ARTIFACTS_VERSION/aai_vm_init.sh -o /opt/aai_vm_init.sh
+curl -k $NEXUS_REPO/org.openecomp.demo/boot/$ARTIFACTS_VERSION/aai_serv.sh -o /opt/aai_serv.sh
+chmod +x /opt/aai_vm_init.sh
+chmod +x /opt/aai_serv.sh
+mv /opt/aai_serv.sh /etc/init.d
+update-rc.d aai_serv.sh defaults
+
+# Download and install docker-engine and docker-compose
+echo "deb https://apt.dockerproject.org/repo ubuntu-trusty main" | sudo tee /etc/apt/sources.list.d/docker.list
+apt-get update
+apt-get install -y linux-image-extra-$(uname -r) linux-image-extra-virtual
+apt-get install -y --allow-unauthenticated docker-engine
+
+mkdir /opt/docker
+curl -L https://github.com/docker/compose/releases/download/1.9.0/docker-compose-`uname -s`-`uname -m` > /opt/docker/docker-compose
+chmod +x /opt/docker/docker-compose
+
+# Set the MTU size of docker containers to the minimum MTU size supported by vNICs. OpenStack deployments may need to know the external DNS IP
+if [ -s /opt/config/external_dns.txt ]
+then
+ echo "DOCKER_OPTS=\"--dns $(cat /opt/config/external_dns.txt) --mtu=$MTU\"" >> /etc/default/docker
+else
+ echo "DOCKER_OPTS=\"--mtu=$MTU\"" >> /etc/default/docker
+fi
+
+cp /lib/systemd/system/docker.service /etc/systemd/system
+sed -i "/ExecStart/s/$/ --mtu=$MTU/g" /etc/systemd/system/docker.service
+service docker restart
+
+# DNS IP address configuration
+echo "nameserver "$DNS_IP_ADDR >> /etc/resolvconf/resolv.conf.d/head
+resolvconf -u
+
+# Run docker containers
+cd /opt
+git clone -b $GERRIT_BRANCH --single-branch http://gerrit.onap.org/r/aai/test-config
+
+if [[ $AAI_INSTANCE == "aai_instance_1" ]]
+then
+ mkdir -p /opt/aai/logroot/AAI-RESOURCES
+ mkdir -p /opt/aai/logroot/AAI-TRAVERSAL
+ mkdir -p /opt/aai/logroot/AAI-ML
+ mkdir -p /opt/aai/logroot/AAI-SDB
+ mkdir -p /opt/aai/logroot/AAI-DRMS
+ mkdir -p /opt/aai/logroot/AAI-UI
+
+ sleep 300
+fi
+
+./aai_vm_init.sh \ No newline at end of file
diff --git a/boot/aai2_serv.sh b/boot/aai2_serv.sh
new file mode 100644
index 00000000..add00097
--- /dev/null
+++ b/boot/aai2_serv.sh
@@ -0,0 +1,98 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start daemon at boot time
+# Description: Enable service provided by daemon.
+### END INIT INFO
+
+dir="/opt"
+cmd="./aai2_vm_init.sh"
+user="root"
+
+name=`basename $0`
+pid_file="/var/run/$name.pid"
+stdout_log="/var/log/$name.log"
+stderr_log="/var/log/$name.err"
+
+get_pid() {
+ cat "$pid_file"
+}
+
+is_running() {
+ [ -f "$pid_file" ] && ps `get_pid` > /dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ if is_running; then
+ echo "Already started"
+ else
+ echo "Starting $name"
+ cd "$dir"
+ if [ -z "$user" ]; then
+ sudo $cmd >> "$stdout_log" 2>> "$stderr_log" &
+ else
+ sudo -u "$user" $cmd >> "$stdout_log" 2>> "$stderr_log" &
+ fi
+ echo $! > "$pid_file"
+ if ! is_running; then
+ echo "Unable to start, see $stdout_log and $stderr_log"
+ exit 1
+ fi
+ fi
+ ;;
+ stop)
+ if is_running; then
+ echo -n "Stopping $name.."
+ kill `get_pid`
+ for i in {1..10}
+ do
+ if ! is_running; then
+ break
+ fi
+
+ echo -n "."
+ sleep 1
+ done
+ echo
+
+ if is_running; then
+ echo "Not stopped; may still be shutting down or shutdown may have failed"
+ exit 1
+ else
+ echo "Stopped"
+ if [ -f "$pid_file" ]; then
+ rm "$pid_file"
+ fi
+ fi
+ else
+ echo "Not running"
+ fi
+ ;;
+ restart)
+ $0 stop
+ if is_running; then
+ echo "Unable to stop, will not attempt to start"
+ exit 1
+ fi
+ $0 start
+ ;;
+ status)
+ if is_running; then
+ echo "Running"
+ else
+ echo "Stopped"
+ exit 1
+ fi
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/boot/aai2_vm_init.sh b/boot/aai2_vm_init.sh
new file mode 100644
index 00000000..ffe0955f
--- /dev/null
+++ b/boot/aai2_vm_init.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+AAI_INSTANCE=$(cat /opt/config/aai_instance.txt)
+
+cd /opt/test-config
+git pull
+
+if [[ $AAI_INSTANCE == "aai_instance_1" ]]
+then
+ ./deploy_vm1.sh
+elif [[ $AAI_INSTANCE == "aai_instance_2" ]]
+then
+ ./deploy_vm2.sh
+else
+ echo "Invalid instance. Exiting..."
+fi
diff --git a/boot/db_simpledemo_openecomp_org b/boot/db_simpledemo_openecomp_org
index 5b5d418c..dfa7e6ad 100644
--- a/boot/db_simpledemo_openecomp_org
+++ b/boot/db_simpledemo_openecomp_org
@@ -21,6 +21,11 @@ c1.vm1.aai.simpledemo.openecomp.org. IN A 10.0.1.1
c2.vm1.aai.simpledemo.openecomp.org. IN A 10.0.1.1
c3.vm1.aai.simpledemo.openecomp.org. IN A 10.0.1.1
+vm2.aai.simpledemo.openecomp.org. IN A 10.0.1.2
+c1.vm2.aai.simpledemo.openecomp.org. IN A 10.0.1.2
+c2.vm2.aai.simpledemo.openecomp.org. IN A 10.0.1.2
+c3.vm2.aai.simpledemo.openecomp.org. IN A 10.0.1.2
+
vm1.appc.simpledemo.openecomp.org. IN A 10.0.2.1
c1.vm1.appc.simpledemo.openecomp.org. IN A 10.0.2.1
c2.vm1.appc.simpledemo.openecomp.org. IN A 10.0.2.1
@@ -72,7 +77,9 @@ vm1.mr.simpledemo.openecomp.org. IN A 10.0.11.1
;CNAMES
;A&AI
aai.api.simpledemo.openecomp.org. IN CNAME vm1.aai.simpledemo.openecomp.org.
-aai.hbase.simpledemo.openecomp.org. IN CNAME vm1.aai.simpledemo.openecomp.org.
+aai.hbase.simpledemo.openecomp.org. IN CNAME vm2.aai.simpledemo.openecomp.org.
+aai.gremlinserver.simpledemo.openecomp.org. IN CNAME vm2.aai.simpledemo.openecomp.org.
+aai.elasticsearch.simpledemo.openecomp.org. IN CNAME vm2.aai.simpledemo.openecomp.org.
;APPC
appc.api.simpledemo.openecomp.org. IN CNAME vm1.appc.simpledemo.openecomp.org.